uses testlib, sysutils;

var n, ja, pa: longint;

begin
  ja := ans.readlongint;
  pa := ouf.readlongint;

  if ja <> pa then begin
    quit(_wa, format('%d instead of %d', [pa, ja]));
  end;

  n := inf.readlongint;
  quit(_ok, format('n=%d, ans=%d', [n, ja]));
end.